Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sat 19 Apr 2014, 11:00
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Utilities
PeaZip 5.1.0
Post new topic   Reply to topic View previous topic :: View next topic
Page 3 of 3 [38 Posts]   Goto page: Previous 1, 2, 3
Author Message
Makoto


Joined: 03 Sep 2009
Posts: 1723
Location: Out wandering... maybe.

PostPosted: Thu 08 Nov 2012, 15:43    Post subject:  

If you're wanting to use the portable Linux version, you could always do that with the GTK2 version, too. Smile
_________________
[ Puppy 4.3.1 JP, Frugal install | 1GB RAM | 1.3GB swap ] * My Pidgin Builds for Puppy 4.3.1+
In memory of our beloved American Eskimo puppy (1995-2010) and black Lab puppy (1997-2011).
Back to top
View user's profile Send private message 
TheAsterisk!


Joined: 10 Feb 2009
Posts: 403
Location: SE Wisconsin, US

PostPosted: Sun 18 Nov 2012, 16:51    Post subject:  

UPDATED to version 4.7.3, GTK2

watchdog wrote:
I found the way to install peazip all versions in wary and racy (5.2.2 and 5.3). Download from:

http://peazip.sourceforge.net/peazip-linux.html

the Qt version portable. Install Qt 4.7.1 by loading at boot the sfs from:

http://www.4shared.com/file/Fs1zcssq/qt-471.html

I tried with other versions of Qt but I was not lucky. Qt 4.7.1 from old repository (now expired) of puppeee instead works and I shared it.

Extract the content dir of peazip from the archive downloaded. In that dir you find libQt4Pas.so. Copy libQt4Pas.so in /opt/qt4/lib. From terminal create a link:

ln -s /opt/qt4/lib/libQt4Pas.so /opt/qt4/lib/libQt4Pas.so.5

Now create a link on desktop to the peazip binary in dir you extracted from downloaded archive. Click on it and try to launch it. On my installations it works.

Okay! It did seem to be a GTK2 error that I kept getting on Racy, so using the QT version instead does make sense! Once I get a few other things out of the way, I'll make up some packages for the QT version as well as the GTK2 version that I make already.

Makoto wrote:
If you're wanting to use the portable Linux version, you could always do that with the GTK2 version, too. Smile

That's what some of my packages have been made out of, and they were the ones throwing errors around. I'd wager it's not a matter of using the portable version or not, but rather GTK2 versus QT.
Back to top
View user's profile Send private message Visit poster's website 
chrome307


Joined: 15 Jan 2009
Posts: 713

PostPosted: Sun 18 Nov 2012, 17:01    Post subject:  

Thanks again Smile

btw I get a 'error 404' for Additional formats plugin download
Back to top
View user's profile Send private message 
Makoto


Joined: 03 Sep 2009
Posts: 1723
Location: Out wandering... maybe.

PostPosted: Sun 18 Nov 2012, 18:34    Post subject:  

I've admittedly always been using the 'portable' version from the PeaZip site - just delete my existing PeaZip program directory, extract the new version to that folder, and I haven't had any problems with it. But that's probably because I'm still only running Puppy 4.3.1. Embarassed

...of course, that doesn't make me look forward to when GTK3 is introduced, any more than before, either. Very Happy

_________________
[ Puppy 4.3.1 JP, Frugal install | 1GB RAM | 1.3GB swap ] * My Pidgin Builds for Puppy 4.3.1+
In memory of our beloved American Eskimo puppy (1995-2010) and black Lab puppy (1997-2011).
Back to top
View user's profile Send private message 
TheAsterisk!


Joined: 10 Feb 2009
Posts: 403
Location: SE Wisconsin, US

PostPosted: Fri 25 Jan 2013, 23:40    Post subject:  

UPDATED to version 4.8, GTK2

Will experiment with QT4 version soon, but I need to tend to my Java packages first! Sorry about the long silence...

@chrome307: My fault on that one- I got to renaming some packages with abbreviated names, and just didn't update the link on here. Sorry! Should be resolved now, anyway.
Back to top
View user's profile Send private message Visit poster's website 
TheAsterisk!


Joined: 10 Feb 2009
Posts: 403
Location: SE Wisconsin, US

PostPosted: Sun 03 Feb 2013, 23:10    Post subject:  

UPDATED to release 4.8.1
GTK2 and QT4 packages are available.
Please note that the QT4 package does not include the QT4 dependencies, and will require you to install QT4 with most Puppy versions.
Back to top
View user's profile Send private message Visit poster's website 
giorgiotani

Joined: 19 Mar 2007
Posts: 30

PostPosted: Mon 24 Jun 2013, 16:42    Post subject: PeaZip 5.0 [file and archive manager]  

I'm glad to announce that PeaZip 5.0 was released yesterday.

Downloads
http://peazip.sourceforge.net/peazip-linux.html
http://peazip.sourceforge.net/peazip-linux-x86_64.html

Change log http://peazip.sourceforge.net/changelog.html

Generic packages are featured: any help is very welcome for creating distribution-specific packages, and if you are aware of mirrors I'll be glad to know and link it on download page.
Help is also appreciated for translations in order to make the application available for non-English speaking users, now moved to SourceForge https://sourceforge.net/projects/peazip/files/Translations/
lin-gtk2-gnome.png
Description 
png

 Download 
Filename  lin-gtk2-gnome.png 
Filesize  74.14 KB 
Downloaded  154 Time(s) 
Back to top
View user's profile Send private message Visit poster's website 
TheAsterisk!


Joined: 10 Feb 2009
Posts: 403
Location: SE Wisconsin, US

PostPosted: Wed 09 Oct 2013, 21:08    Post subject:  

Updated to version 5.1.0

(Sorry about the long absence!)
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 3 of 3 [38 Posts]   Goto page: Previous 1, 2, 3
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Utilities
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0554s ][ Queries: 13 (0.0059s) ][ GZIP on ]